Remove multiple validator pubkeys from a tag
curl --request POST \
--url https://api.rated.network/v1/tags/{id}/validators/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pubkeys": [
"0x00..",
"0x01..."
]
}
'import requests
url = "https://api.rated.network/v1/tags/{id}/validators/remove"
payload = { "pubkeys": ["0x00..", "0x01..."] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pubkeys: ['0x00..', '0x01...']})
};
fetch('https://api.rated.network/v1/tags/{id}/validators/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rated.network/v1/tags/{id}/validators/remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pubkeys' => [
'0x00..',
'0x01...'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rated.network/v1/tags/{id}/validators/remove"
payload := strings.NewReader("{\n \"pubkeys\": [\n \"0x00..\",\n \"0x01...\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rated.network/v1/tags/{id}/validators/remove")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pubkeys\": [\n \"0x00..\",\n \"0x01...\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rated.network/v1/tags/{id}/validators/remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pubkeys\": [\n \"0x00..\",\n \"0x01...\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Private Sets
Remove multiple validator pubkeys from a tag
This endpoint allows you to remove multiple validators from a tag by passing a list of validator pubkeys in the request body.
POST
/
v1
/
tags
/
{id}
/
validators
/
remove
Remove multiple validator pubkeys from a tag
curl --request POST \
--url https://api.rated.network/v1/tags/{id}/validators/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pubkeys": [
"0x00..",
"0x01..."
]
}
'import requests
url = "https://api.rated.network/v1/tags/{id}/validators/remove"
payload = { "pubkeys": ["0x00..", "0x01..."] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pubkeys: ['0x00..', '0x01...']})
};
fetch('https://api.rated.network/v1/tags/{id}/validators/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rated.network/v1/tags/{id}/validators/remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pubkeys' => [
'0x00..',
'0x01...'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rated.network/v1/tags/{id}/validators/remove"
payload := strings.NewReader("{\n \"pubkeys\": [\n \"0x00..\",\n \"0x01...\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rated.network/v1/tags/{id}/validators/remove")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pubkeys\": [\n \"0x00..\",\n \"0x01...\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rated.network/v1/tags/{id}/validators/remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pubkeys\": [\n \"0x00..\",\n \"0x01...\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Note that removing a validator key from a tag has the same impact on the historical performance of the private set as exiting your key from a cluster would ie, the exited key still impacts the historical view of the set’s perfomance.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Body
application/json
Required array length:
1 - 1000 elementsResponse
Successful Response